{
  "type" : "record",
  "name" : "SupplementaryAnalysisResults",
  "namespace" : "org.gel.models.report.avro",
  "doc" : "This defines a Supplementary Analysis Result",
  "fields" : [ {
    "name" : "contextualAnalysisSubstitutionsCounts",
    "type" : {
      "type" : "map",
      "values" : "int"
    },
    "doc" : "Counts for each substitution trinucleotide context\n    e.g. {\"A[T>A]G\": 117, \"G[T>G]C\": 39, [...]}"
  }, {
    "name" : "mutationalSignatureContribution",
    "type" : {
      "type" : "record",
      "name" : "MutationalSignatureContribution",
      "fields" : [ {
        "name" : "coefficients",
        "type" : {
          "type" : "map",
          "values" : "double"
        },
        "doc" : "Coefficients for each mutational signatures\n    e.g. {\"coefficients\":{\"signature1\":91.2595, [...]}}"
      }, {
        "name" : "rss",
        "type" : "double",
        "doc" : "Confidence value\n    e.g. {\"RSS\":0.0063}"
      } ]
    },
    "doc" : "Coefficients for mutational signatures\n    e.g. {\"coefficients\":{\"signature1\":91.2595, [...]}, \"RSS\":0.0063}"
  }, {
    "name" : "sNVAlleleFrequencyHistogramCounts",
    "type" : {
      "type" : "map",
      "values" : "int"
    },
    "doc" : "SNVs counts for each allele frequency bin\n    e.g. {\"(-0.005,0.005]\":0,\"(0.005,0.015]\":0, [...]}"
  }, {
    "name" : "indelAlleleFrequencyHistogramCounts",
    "type" : {
      "type" : "map",
      "values" : "int"
    },
    "doc" : "Indel counts for each allele frequency bin\n    e.g. {\"(-0.005,0.005]\":0,\"(0.005,0.015]\":0, [...]}"
  }, {
    "name" : "indelLengthHistogramCounts",
    "type" : {
      "type" : "map",
      "values" : "int"
    },
    "doc" : "Counts for each indel length\n    e.g. {\"(-50,-49]\":2,\"(-49,-48]\":2, [...]}"
  }, {
    "name" : "genomicRegionsOfHypermutation",
    "type" : {
      "type" : "array",
      "items" : "string"
    },
    "doc" : "Kataegis genomic regions\n    e.g. [\"chrY:56829002,56833739\", \"chrX:1813120,1813466\", [...]]"
  } ]
}
